Obter a árvore da hierarquia
curl --request GET \
--url https://api.olie.ai/api/management/projects/{project}/hierarchy/tree \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/projects/{project}/hierarchy/tree"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/projects/{project}/hierarchy/tree', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"data": {
"current_project": {
"id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"name": "Shopping Center",
"breadcrumb": "Shopping Center"
},
"hierarchy_tree": [
{
"id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"name": "Shopping Center",
"description": "Obra completa do empreendimento",
"status": 1,
"parent_id": null,
"level": 0,
"is_root": true,
"is_leaf": false,
"children_count": 2
},
{
"id": "019e0f21-4b3c-71a8-8f0e-9c2d5a7b1e40",
"name": "Fundação",
"description": "Serviços de fundação",
"status": 1,
"parent_id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"level": 1,
"is_root": false,
"is_leaf": false,
"children_count": 1
},
{
"id": "019e0f23-1a5e-7460-9c33-2b7f8de10c55",
"name": "Escavação",
"description": null,
"status": 2,
"parent_id": "019e0f21-4b3c-71a8-8f0e-9c2d5a7b1e40",
"level": 2,
"is_root": false,
"is_leaf": true,
"children_count": 0
}
],
"stats": {
"level": 0,
"depth": 2,
"children_count": 2,
"descendants_count": 3,
"is_root": true,
"is_leaf": false
}
}
}projects
Obter a árvore da hierarquia
Retorna a árvore completa a partir do projeto informado — filhos, netos e bisnetos — com o nível de cada um, se é raiz ou folha, as estatísticas da estrutura e o caminho (breadcrumb) até o projeto atual.
A plataforma permite até quatro níveis de profundidade; veja Hierarquia de projetos.
GET
/
api
/
management
/
projects
/
{project}
/
hierarchy
/
tree
Obter a árvore da hierarquia
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID (UUID) do projeto.
Was this page helpful?